Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc

# Interface FBObjectListener.FetcherListener

All Known Implementing Classes:
  `FBResultSet`

Enclosing class:
  FBObjectListener

@NullMarked public static interface FBObjectListener.FetcherListener

## Method Summary

Modifier and Type
Method
Description
`default void`
`rowChanged(FBFetcher fetcher, @Nullable RowValue newRow)`
Notify listener that underlying row was changed.

## Method Details

### rowChanged

default void rowChanged(FBFetcher fetcher, @Nullable RowValue newRow) throws SQLException
Notify listener that underlying row was changed.

The default implementation does nothing.

Parameters:
  `fetcher` - instance of `FBFetcher` that caused this event
  `newRow` - new row
Throws:
  `SQLException`